/*
    Copyright (c) 2006-2008 by amdfanatyk <amdfanatyk@o2.pl>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/

#ifndef CLICKABLELABEL_H
#define CLICKABLELABEL_H

#include <qdragobject.h>
#include <qlabel.h>

class ClickableLabel : public QLabel
{
	Q_OBJECT

	public:
		ClickableLabel(QWidget * = 0, const char * = 0);
		~ClickableLabel();

	signals:
		void leftMouseButtonClicked();
		void droppedTextReceived(const QString &);

	protected:
		void mousePressEvent(QMouseEvent *);
		void dragEnterEvent(QDragEnterEvent *);
		void dropEvent(QDropEvent *);
};

#endif
