/*
    Copyright (c) 2008 by amdfanatyk <amdfanatyk@o2.pl>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/

#include <qapplication.h>

#include "frmpreview.h"

int main(int argc, char ** argv)
{
	QApplication a(argc, argv);

	frmPreview w;
	w.show();

	a.connect(&a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()));

	if (a.argc() > 1)
		w.setDir(a.argv()[1]);
	else
		w.setDir(QDir::currentDirPath());

	return a.exec();
}
